{% extends 'base.html.twig' %}

{% block title %}Detalle Producción{% endblock %}

{% block stylesheets %}
    {{ parent()}}
    <link rel="stylesheet" href="../assets/css/principal.css" type="text/css">
{% endblock %}   

{% block body %}
    <style>
        .example-wrapper { margin: 1em auto; max-width: 800px; width: 95%; font: 18px/1.5 sans-serif; }
        .example-wrapper code { background: #F5F5F5; padding: 2px 6px; }
    </style>

    <div class="example-wrapper">
        <h1> Id producción: {{ produccion.idProduccion }}</h1>
       
        <table class="detalle">
            <tr>
                <td><h3>Título:</h3></td>
                <td><h3>{{produccion.titulo}}</h3></td>
                <td rowspan="10">
                    <a href="{{ path('edit',{'id':produccion.idProduccion}) }}" class="edit_btn">Editar</a>
                    
                    <a id="boton_delete" href="{{ path('delete',{'id':produccion.idProduccion}) }}" class="delete_btn">Borrar</a>
                </td>
            </tr>
            <tr>
                <td>Estreno:</td>
                <td>{{produccion.estreno}}</td>
                
            </tr>
            <tr>
                <td>Puntuación:</td>
                <td>{{produccion.puntuacion}}</td>
            </tr>
            <tr>
                <td>Versión Original:</td>
                <td>
                    {% if produccion.vos %}
                        Sí
                    {% else %}
                        No
                    {% endif %}
                </td>
            </tr>
            <tr>
                <td>Nacionalidad:</td>
                <td>{{produccion.nacionalidad}}</td>
            </tr>
            <tr>
                <td>Vista:</td>
                <td>
                    {% if produccion.vista %}
                        Ya vista
                    {% else %}
                        No vista
                    {% endif %}    
                </td>
            </tr>
            <tr>
                <td>Generos:</td>
                <td>
                    {% for gen in produccion.idGenero %}
                        {{gen.genero}}{%if loop.last==false %},{% endif %}
                    {% endfor %}
                </td>
            </tr>
            <tr>
                <td>Franquicia:</td>
                <td>  
                    
                    
                    {% for franquicias in produccion.idFranquicia %}
                        {{ franquicias.franquicia}}{%if loop.last==false %},{% endif %}
                    {% endfor %}                   
                </td>
            </tr>
             <tr>
                <td>Artistas:</td>
                <td>  
                    {% for artistas in produccion.idArtista %}
                        {{ artistas.artista}}{% if loop.last==false%},{% endif %}
                    {% endfor %}
                </td>
            </tr>
             <tr>
                <td>Cartel:</td>
                <td>
                    <img src="../fotos/{{produccion.cartel}}" alt="" style="width: 250px;">
                </td>
            </tr>
            
        </table>
            
            
     
    </div>
{% endblock %}
{% block javascripts %}
    <script>
        $("#boton_delete").click(function(){
           return confirm("¿Seguro que quieres borrar esta producción?");
        });
    </script>
{% endblock%}
